Customers
List Customers
List reusable buyer profiles.
GET
/
v2
/
customers
List Customers
curl --request GET \
--url https://api.pagou.ai/v2/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pagou.ai/v2/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagou.ai/v2/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"requestId": "0190a2b4-18a7-7de0-9a43-69b7cf261201",
"metadata": {
"page": 1,
"limit": 10,
"total": 0
},
"data": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
BearerAuthApiKeyAuthBasicAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000000Required range:
1 <= x <= 100Free-text search across customer name, email and document.
Filter by exact customer document number.
Filter customers by exact email address.
Filter customers by phone number.
Filter customers by your external reference.
Filter customers by current status.
Filter customers by last known IP address.
List Customers

